Name:           kdissert
Version:        1.0.6b
Release:        1%{?dist}
Summary:        Mind-mapping tool for KDE

Group:          Applications/Productivity
License:        GPL
URL:            http://freehackers.org/~tnagy/kdissert/
Source0:        http://freehackers.org/~tnagy/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel, desktop-file-utils, gettext
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Kdissert is a mindmapping-like tool to help students to produce complicated 
documents very quickly and efficiently : presentations, dissertations, 
thesis, reports, etc. The concept is innovative : mindmaps produced using 
kdissert are processed to output near-ready-to-use documents. While 
targetted mostly at students, kdissert can also help teachers, decision 
makers, engineers and businessmen.


%prep 
%setup -q
tar xjf miniwaf.tar.bz2
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./waf.py configure \
    --prefix=%{_prefix} \
    --execprefix=%{_exec_prefix} \
    --datadir=%{_datadir} \
    --libdir=%{_libdir} \
    --want-rpath=0


%build
./waf.py build %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
./waf.py install --destdir=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk
desktop-file-install \
    --delete-original \
    --vendor fedora \
    --dir %{buildroot}%{_datadir}/applications/kde \
    --remove-category X-KDE-More \
    --remove-category Utility \
    --add-category Office \
    --add-category X-Fedora \
    --remove-key DocPath \
    $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop
%find_lang %{name}


%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ROADMAP doc
%{_bindir}/*
%{_libdir}/kde*/*
%{_datadir}/apps/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/services/*.desktop
%{_datadir}/icons/*/*x*/*/*.png
%{_datadir}/config.kcfg/*


%changelog
* Sun Sep 03 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.0.6b-1
- Version 1.0.6b
- Move flags to configure stage
- We don't want rpath, thanks

* Sat Jul 22 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.0.6-1
- Version 1.0.6
- No longer using scons
- Rework to use the shipped-with waf
- BR gettext

* Mon Feb 13 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.0.5-1.1
- FC5 Rebuild.

* Fri Oct 28 2005 Konstantin Ryabitsev <icon@fedoraproject.org> 1.0.5-1
- Extras rebuild.

* Mon Oct 24 2005 Konstantin Ryabitsev <icon@fedoraproject.org> 1.0.5-0.4
- Update the tarball to match the upstream version.

* Fri Oct 21 2005 Konstantin Ryabitsev <icon@fedoraproject.org> 1.0.5-0.3
- Remove rpath from SConstruct

* Thu Oct 20 2005 Konstantin Ryabitsev <icon@fedoraproject.org> 1.0.5-0.2
- Do not install icon into pixmaps
- Use post/postun to handle icon cache

* Thu Oct 20 2005 Konstantin Ryabitsev <icon@fedoraproject.org> 1.0.5-0.1
- Initial packaging

